﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="AspNet_GaleriaImagens.Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Galeria de Imagens com jQuery</title>
    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>

     <script type="text/javascript">
        $(function() {    
                
            var imgs = [
                '../imagens/1.jpg',
                '../imagens/2.jpg',
                '../imagens/3.jpg',
                '../imagens/4.jpg',
                '../imagens/5.jpg'];
            var cnt = imgs.length;

            var $imagemSlide = $('img[id$=imagemSlide]');
            // define o controle imagem para ultima imagem
            $imagemSlide.attr('src', imgs[cnt-1]);

            //define o intervalo de exibição das imagens
            setInterval(Slider, 3000);

            function Slider() {
                $imagemSlide.fadeOut("slow", function() {
                    $(this).attr('src', imgs[(imgs.length++) % cnt])
                    .fadeIn("slow");
                });
            }
        });
    </script>
    <style type="text/css">
        .auto-style1 {
            color: #0000FF;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <div class="smallDiv">
        <h2 class="auto-style1">Galeira de Imagens - Macoratti .net</h2>
        <hr />
        <asp:Image ID="imagemSlide" runat="server" Height="400" Width="400" class="imgdiv" />
    </div> 
    </form>
</body>
</html>
